Subject: Re: [PATCH] be paranoid about closed stdin/stdout/stderr

From: Paolo Bonzini <[email-masked]>
Date: Thu, 28 Aug 2008 15:17:46 +0200

> It is either run by ssh (via command="" option in authorized_keys file),
> by init/login (if in /etc/passwd), or by gitosis (and its equivalent).

It is possible to run it with file descriptors closed via ssh, using
command="git-shell 0<&- 1<&- 2<&-" in the authorized_keys file.

It's true that in this case the user is also shooting himself, but given
that git-shell is used to restrict operation to "safe" commands, this
special case might be worth being worked around.

Paolo